shellcheck:
  image: tecnalia-docker-dev.artifact.tecnalia.com/koalaman/shellcheck-alpine
  script: shellcheck scripts/*sh
  tags:
    - docker


yamllint:
  image: tecnalia-docker-dev.artifact.tecnalia.com/sdesbure/yamllint
  script: yamllint $(find . -name '*.yml' -o -name '*.yaml')
  tags:
    - docker

deploy_devcontainer:
  script:
    - tar cvfz dot_devcontainer.tar.gz -C vscode_devcontainer .devcontainer/
  artifacts:
    paths:
      - dot_devcontainer.tar.gz
    expire_in: 1 year
  tags:
    - docker

.simple_ros_test:
  variables:
    TEMPLATES_PIPELINE_REF: $CI_COMMIT_REF_NAME
  trigger:
    project: tecnalia_robotics/ci_test_repos/simple_ros_test
    strategy: depend

simple_ros_melodic_test:
  extends: .simple_ros_test
  variables:
    TEMPLATE_TO_USE: ci-templates/auto-rules/melodic-default.yml

simple_ros_noetic_test:
  extends: .simple_ros_test
  variables:
    TEMPLATE_TO_USE: ci-templates/auto-rules/noetic-default.yml

simple_ros_core_with_noetic_test:
  extends: .simple_ros_test
  variables:
    TEMPLATE_TO_USE: test/core_with_noetic.yml

simple_ros_auto_rules_melodic_noetic_test:
  extends: .simple_ros_test
  variables:
    TEMPLATE_TO_USE: test/auto_rules_melodic_noetic.yml
